#1 Le 21/09/2022, à 17:47
- Valérie_z
installation d'un scanner Perfection EPSON V370 Photo [RESOLU]
Bonjour !
Divers soucis m'ont contraint à refaire une installation fraîche d'Ubuntu 18.04 LTS, sur une machine assez ancienne. Cette nouvelle installation est propre et stable, contrairement à celle d'avant, mais je dois tout réinstaller.
Notamment, mon scanner V370. Étant donné que je ne le trouve pas dans cette liste, et qu'il n'est pas spontanément reconnu, je me lance dans une installation additionnelle, d'abord en ajoutant le paquet libsane-extras, sans succès.
Je tente également de décompresser et d'installer les pilotes propriétaires iscan-perfection-v370-bundle-2.30.4.x64.deb que j'avais conservé (et qui fonctionnaient sur mon ancienne installation), en lançant le script suivant :
#! /bin/sh
# Copyright (C) 2019 SEIKO EPSON Corporation
#
# License: GPL-3.0+
# Author : SEIKO EPSON Corporation
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License or, at
# your option, any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You ought to have received a copy of the GNU General Public License
# along with this package. If not, see <http://www.gnu.org/licenses/>.
# Convenience functions to deal with *.deb packages
# Given a list of possibly versioned dependency alternatives, echo the
# name of the preferred package to install if the dependency isn't met
# already. If the dependency is met, the empty string will be output.
# This only works for dependencies that aim to add packages: Depends:,
# Recommends: and Suggests:.
# BUGS: The algorithm does not consider Provides:.
#
deb_to_install () {
candidate=
echo $* \
| sed 's/[()]//g; s/|/\n/g' \
| { while read pkg op ver; do
case "$pkg" in
iscan*|esci-*) continue;;
imagescan*) continue;;
esac
inst=$(dpkg-query -W -f '${Version}' $pkg 2>/dev/null \
|| true) # so we can run with set -e
if test -z "$inst"; then
: ${candidate:=$pkg}
continue
fi
if test -z "$ver"; then
candidate=
break
fi
if dpkg --compare-versions "$inst" "$op" "$ver"; then
candidate=
break
fi
: ${candidate:=$pkg}
done
echo ${candidate}
}
}
# Output the names of all packages that are listed as a requirement
# (in a Depends:, Recommends: or Suggests: field) but not installed
# yet.
#
deb_requires () {
package=$1
require=$2
depends=
dpkg-deb -f $package ${require:-Depends} \
| sed 's/,/\n/g' \
| { while read dependency; do
pkg=$(deb_to_install $dependency)
test -n "$pkg" && depends="$depends $pkg"
done
echo $depends
}
}
# Install all local *.deb files passed as arguments, resolving their
# dependencies without user intervention.
#
deb_install () {
packages=$*
depends=
add_recommends=false
result=$(apt-config shell add_recommends APT::Install-Recommends/b)
eval $result
add_suggests=false
result=$(apt-config shell add_suggests APT::Install-Suggests/b)
eval $result
for pkg in $packages; do
depends="$depends $(deb_requires $pkg)"
if $add_recommends; then
depends="$depends $(deb_requires $pkg Recommends)"
fi
if $add_suggests; then
depends="$depends $(deb_requires $pkg Suggests)"
fi
done
depends="$(echo $depends | sed 's|^ *||; s| *$||')"
if test -z "$depends"; then
as_root dpkg --install $packages
else
as_root apt-get update \
&& as_root apt-get install --assume-yes $depends \
&& as_root dpkg --install $packages
fi
}
# Convenience functions to deal with *.rpm packages
# Install all local *.rpm files passed as arguments, resolving their
# dependencies without user intervention.
#
rpm_install () {
packages=$*
pkg_mgr=
for candidate in zypper dnf yum /usr/sbin/urpmi; do
if type $candidate >/dev/null 2>&1; then
pkg_mgr=$candidate
break
fi
done
case "$(basename $pkg_mgr)" in
zypper)
as_root $pkg_mgr --non-interactive --no-gpg-checks install $packages
;;
urpmi)
as_root $pkg_mgr --auto $packages
;;
dnf|yum)
as_root $pkg_mgr install --assumeyes $packages
;;
*)
echo "cannot find a supported package manager" >&2
exit 1
;;
esac
}
#
# Run a command with root privileges.
#
as_root () {
if test -z "$as_root" -a 0 -ne $(id -u) -a -z "$SUDO_USER"; then
if $(type sudo >/dev/null 2>&1); then
as_root=sudo
if $($as_root -A true 2>/dev/null); then
as_root="$as_root -A"
fi
fi
fi
$as_root "$@"
}
#
SHOW_HELP=no
WITH_NETWORK=true
WITH_OCR_ENGINE=true
base=$(dirname $0)
core=$base/core
data=$base/data
plugins=$base/plugins
usage () {
cat <<EOF
'$(basename $0)'
Usage: $0 --help
$0 {--dry-run} [--with-network|--without-network]
The following options are supported:
-h, --help display this message and exit
--dry-run show what would be installed without actually
doing so
--with-network install the (non-free) network plugin
This is the default behavior.
--without-network do not install the (non-free) network plugin
--with-ocr-engine install the (non-free) OCR engine
This is the default behavior.
--without-ocr-engine do not install the (non-free) OCR engine
EOF
exit $1
}
parsed_opts=$(getopt \
--options h \
--longopt help \
--longopt dry-run \
--longopt with-network,without-network \
--longopt with-ocr-engine,without-ocr-engine \
-- "$@")
if test 0 -ne $?; then
usage 1
fi
eval set -- "$parsed_opts"
while test x-- != "x$1"; do
case "$1" in
-h|--help) SHOW_HELP=yes; shift;;
--dry-run) as_root=echo; shift;;
--with-network) WITH_NETWORK=true; shift;;
--without-network) WITH_NETWORK=false; shift;;
--with-ocr-engine) WITH_OCR_ENGINE=true; shift;;
--without-ocr-engine) WITH_OCR_ENGINE=false; shift;;
*)
echo "internal error: unsupported option" >&2
exit 119
;;
esac
done
shift # past the '--' marker
if test 0 -ne $#; then # make this look like a `getopt` error
echo "getopt: too many arguments: '$@'" >&2
usage 1
fi
test xno != x$SHOW_HELP && usage 0
# There should be exactly one package file in core/
test -d $core
test 1 -eq $(find $core -type f | wc -l)
pkg=$(find $core -type f)
case "$pkg" in
*.deb)
install=deb_install
;;
*.rpm)
install=rpm_install
;;
*)
echo "internal error: unsupported package format" >&2
exit 119
;;
esac
pkgs="$pkg"
if test -d $data; then
pkgs="$pkgs $(find $data -type f)"
fi
if test -d $plugins; then
for pkg in $(find $plugins -type f); do
case $pkg in
*-network*)
$($WITH_NETWORK) && pkgs="$pkgs $pkg"
;;
*-ocr-engine*)
$($WITH_OCR_ENGINE) && pkgs="$pkgs $pkg"
;;
*)
pkgs="$pkgs $pkg"
;;
esac
done
fi
$install $pkgs
Tous les paquets nécessaires sont téléchargés et installés. Je reboote, et toujours rien.
Pourtant, quand je lance Simple Scan, un message m'indique qu'un scanner Epson semble être présent, mais que ses pilotes additionnels sont nécessaires. Je ne vois pas quoi lui mettre de plus.
Si quelqu'un a des idées....
Merci !
Dernière modification par Valérie_z (Le 21/09/2022, à 19:24)
PC1 : 12e Gen Intel® Core™ i9-12900 x 24 CPU 5.10 GHz - 32.0 Gio de RAM - Sous Ubuntu 22.04.1 LTS (64 bits) - Noyau : 6.8.0-48-generic
PC2 : Intel® Core™2 CPU 6700 @ 2.66GHz - 3,8 Gio de RAM - Sous Ubuntu 18.04 LTS (64 bits) - Noyau : 4.15.0-197-generic
PC3 : AMD® Ryzen 9 6900HX - 8 coeurs x 4.90 GHz - 32 GO de RAM DDR5 - Sous Ubuntu 22.04.3 LTS (64 bits) - Noyau : 6.5.0-35-generic
Hors ligne
#2 Le 21/09/2022, à 17:54
- xubu1957
Re : installation d'un scanner Perfection EPSON V370 Photo [RESOLU]
Bonjour,
Pour les scanners Epson :
La Doc > scanner Epson - § 2.1 à partir d'Ubuntu 18.04
Et ce message
Fournir le retour de :
ls -l /etc/udev/rules.d/ | grep -i epson
Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Réso|u] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci. Membre de Linux-Azur
Hors ligne
#3 Le 21/09/2022, à 18:02
- Valérie_z
Re : installation d'un scanner Perfection EPSON V370 Photo [RESOLU]
Bonsoir Xubu1957
Malheureusement mon scanner n'est pas listé dans cette doc, mais le message de moko138 donne une bonne piste, je vais regarder ça.
Et voici :
valerie@PC2:~$ ls -l /etc/udev/rules.d/ | grep -i epson
valerie@PC2:~$
En fait je n'ai pas de fichier epson, mais :
valerie@PC2:/etc/udev/rules.d$ ls
70-snap.core.rules
valerie@PC2:/etc/udev/rules.d$
dont voici le contenu :
GNU nano 2.9.3 70-snap.core.rules
# This file is automatically generated.
# Concatenation of all ModemManager udev rules
# do not edit this file, it will be overwritten on update
ACTION!="add|change|move|bind", GOTO="mm_cinterion_port_types_end"
SUBSYSTEMS=="usb", ATTRS{idVendor}=="1e2d", GOTO="mm_cinterion_port_types"
GOTO="mm_cinterion_port_types_end"
LABEL="mm_cinterion_port_types"
SUBSYSTEMS=="usb", ATTRS{bInterfaceNumber}=="?*", ENV{.MM_USBIFNUM}="$attr{bInt$
# PHS8
ATTRS{idVendor}=="1e2d", ATTRS{idProduct}=="0053", ENV{.MM_USBIFNUM}=="01", SUB$
# PLS8 port types
# ttyACM0 (if #0): AT port
# ttyACM1 (if #2): AT port
# ttyACM2 (if #4): GPS data port
Voilou
Dernière modification par Valérie_z (Le 21/09/2022, à 18:04)
PC1 : 12e Gen Intel® Core™ i9-12900 x 24 CPU 5.10 GHz - 32.0 Gio de RAM - Sous Ubuntu 22.04.1 LTS (64 bits) - Noyau : 6.8.0-48-generic
PC2 : Intel® Core™2 CPU 6700 @ 2.66GHz - 3,8 Gio de RAM - Sous Ubuntu 18.04 LTS (64 bits) - Noyau : 4.15.0-197-generic
PC3 : AMD® Ryzen 9 6900HX - 8 coeurs x 4.90 GHz - 32 GO de RAM DDR5 - Sous Ubuntu 22.04.3 LTS (64 bits) - Noyau : 6.5.0-35-generic
Hors ligne
#4 Le 21/09/2022, à 18:17
- xubu1957
Re : installation d'un scanner Perfection EPSON V370 Photo [RESOLU]
Regarde aussi > Epson scanner driver not working (pour les règles udev)
Dernière modification par xubu1957 (Le 21/09/2022, à 18:19)
Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Réso|u] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci. Membre de Linux-Azur
Hors ligne
#5 Le 21/09/2022, à 18:17
- nany
Re : installation d'un scanner Perfection EPSON V370 Photo [RESOLU]
Bonjour,
Je tente également de décompresser et d'installer les pilotes propriétaires iscan-perfection-v370-bundle-2.30.4.x64.deb que j'avais conservé (et qui fonctionnaient sur mon ancienne installation), en lançant le script suivant :
Essaie avec la dernière version du pilote (epsonscan2-bundle-6.6.42.0.x86_64.deb.tar.gz) disponible ici.
Dernière modification par nany (Le 21/09/2022, à 18:18)
Hors ligne
#6 Le 21/09/2022, à 18:44
- Valérie_z
Re : installation d'un scanner Perfection EPSON V370 Photo [RESOLU]
Bonsoir,
Merci à vous !
Du coup, ça a fonctionné en créant le fichier udev, selon le message de moko138 et le lien de Xubu https://ubuntuforums.org/showthread.php … st13784132
J'avais trouvé plusieurs façons de nommer ce fichier, ça a fonctionné avec epson.rules (je n'ai pas eu besoin de le renommer 79-udev-epson.rules.
Pas eu non plus à créer les liens symboliques
sudo ln -sfr /usr/lib/sane/libsane-epkowa* /usr/lib/x86_64-linux-gnu/sane
En revanche, ce sont mes anciens drivers.
@Nany je récupère la dernière version, merci. L'installation du scanner a été un peu plus simple que la carte graphique !
Grazie tutti, je passe le problème en résolu
PC1 : 12e Gen Intel® Core™ i9-12900 x 24 CPU 5.10 GHz - 32.0 Gio de RAM - Sous Ubuntu 22.04.1 LTS (64 bits) - Noyau : 6.8.0-48-generic
PC2 : Intel® Core™2 CPU 6700 @ 2.66GHz - 3,8 Gio de RAM - Sous Ubuntu 18.04 LTS (64 bits) - Noyau : 4.15.0-197-generic
PC3 : AMD® Ryzen 9 6900HX - 8 coeurs x 4.90 GHz - 32 GO de RAM DDR5 - Sous Ubuntu 22.04.3 LTS (64 bits) - Noyau : 6.5.0-35-generic
Hors ligne